Bug 112531 - sigaltstack02 failing (from LTP)
Summary: sigaltstack02 failing (from LTP)
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-22 13:51 UTC by Jay Turner
Modified: 2016-11-24 12:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 05:17:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2003-12-22 13:51:29 UTC
Description of problem:
The sigaltstack02 test from LTP is failing on ia64 machines running
the RHEL2.1-U3 code (kernel-2.4.18-e.40, glibc-2.2.4-32.11) 
Specifically the second testcase in that test is failing, as it
attempts to create a stack smaller than MINSIGSTKSZ.  sigaltstack()
should fail with ENOMEM, but the call is succeeding.  The call fails
as expected with RHEL3 code on an ia64.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jakub Jelinek 2003-12-22 13:54:48 UTC
Are you using binary LTP tests or compile from source?
MINSIGSTKSZ is different between RHEL2.1 and RHEL3 on IA-64.


Note You need to log in before you can comment on or make changes to this bug.